E-WL: Unable to Install PIA. The PIA Installer Fails to Find Proper WebLogic Version. Error "Detected web server version: No choices available"

(Doc ID 1222244.1)

Last updated on NOVEMBER 11, 2015

Applies to:

PeopleSoft Enterprise PT PeopleTools - Version 8.50 and later
Information in this document applies to any platform.

Symptoms

When installing the PIA, you are prompted to enter the 'web server root directory'. After entering this  information, the installer displays message:

     'Detected web server version:  No choices available'


If you click 'Next', it displays message:

   The entered web server root directory is either invalid or incorrect version. Please try again.
   The required web server version is "WebLogic 10.3"



STEPS
======
The issue can be reproduced with the following steps:
    1. Go to <PS_HOME>/setup/PsMpPIAInstall and run "setup"
    2. When prompted for 'Select the web server root directory', enter the directory where you installed
WebLogic 10.3
    3. The installer then displays message 'Detected web server version: No choices available'
    4. Click 'Next' and the following message is displayed:
         The entered web server root directory is either invalid or incorrect version. Please try again.
         The required web server version is "WebLogic 10.3"

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms